# Created by pyp2rpm-3.3.2
%global pypi_name sphinx-paramlinks

Name:           python-%{pypi_name}
Version:        0.6.0
Release:        %mkrel 2
Summary:        Allows param links in Sphinx function/method descriptions to be linkable
Group:          Development/Python
License:        MIT
URL:            https://github.com/sqlalchemyorg/sphinx-paramlinks
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

%description
A Sphinx extension which allows :param: directives within Python documentation
to be linkable. This is an experimental, possibly -not- useful extension that's
used by the SQLAlchemy project and related projects.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A Sphinx extension which allows :param: directives within Python documentation
to be linkable. This is an experimental, possibly -not- useful extension that's
used by the SQLAlchemy project and related projects.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinx_paramlinks

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Sun Mar 02 2025 wally <wally> 0.6.0-2.mga10
+ Revision: 2158763
- rebuild for python3.13

* Sun Jan 12 2025 daviddavid <daviddavid> 0.6.0-1.mga10
+ Revision: 2138306
- new version: 0.6.0
- switch to pyproject

* Tue Dec 19 2023 papoteur <papoteur> 0.3.7-6.mga10
+ Revision: 2019466
- Mass Rebuild - Python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.3.7-5.mga9
+ Revision: 1823031
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 0.3.7-4.mga9
+ Revision: 1779036
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Sun Feb 16 2020 umeabot <umeabot> 0.3.7-3.mga9
+ Revision: 1531588
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 0.3.7-2.mga8
+ Revision: 1440560
- rebuild for python-3.8

* Fri Aug 30 2019 wally <wally> 0.3.7-1.mga8
+ Revision: 1435776
- imported package python-sphinx-paramlinks

